Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.sandbox.queries.regex
Interface RegexQueryCapable

All Known Implementing Classes:
  RegexQuery

    public interface RegexQueryCapable

Defines methods for regular expression supporting Querys to use.

Method Summary
`RegexCapabilities` | `getRegexImplementation()` Returns the implementation used by this instance.
`void` | `setRegexImplementation(RegexCapabilities impl)` Defines which `RegexCapabilities` implementation is used by this instance.

Method Detail

### setRegexImplementation

    void setRegexImplementation(RegexCapabilities impl)

  Defines which `RegexCapabilities` implementation is used by this instance.

  See Also:
    `getRegexImplementation()`

### getRegexImplementation

    RegexCapabilities getRegexImplementation()

  Returns the implementation used by this instance.

  See Also:
    `setRegexImplementation(RegexCapabilities)`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.